# CalUri (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.property

## Class CalUri

- java.lang.Object
- - net.fortuna.ical4j.vcard.Property
  - - net.fortuna.ical4j.vcard.property.CalUri

All Implemented Interfaces:
  Serializable

    public final class CalUri
    extends Property

CALURI property. $Id$ Created on 23/10/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Property

`Property.Id`

### Field Summary

Fields
`static PropertyFactory<CalUri>` `FACTORY`

### Fields inherited from class net.fortuna.ical4j.vcard.Property

`ILLEGAL_PARAMETER_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`CalUri(List<Parameter> params, String value)` Factory constructor.
`CalUri(URI uri, Type... types)`

### Method Summary

Methods
`URI` `getUri()`
`String` `getValue()`
`void` `validate()`

### Methods inherited from class net.fortuna.ical4j.vcard.Property

`assertOneOrLess, assertParametersEmpty, assertPidParameter, assertPrefParameter, assertTextParameter, assertTypeParameter, equals, getExtendedParameter, getExtendedParameters, getGroup, getId, getParameter, getParameters, getParameters, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final PropertyFactory<CalUri> FACTORY

### Constructor Detail

#### CalUri

    public CalUri(URI uri,
          Type... types)

Parameters:
  `uri` - a calendar URI value
  `types` - optional classifiers

#### CalUri

    public CalUri(List<Parameter> params,
          String value)
           throws URISyntaxException

Factory constructor.

Parameters:
  `params` - property parameters
  `value` - string representation of a property value
Throws:
  `URISyntaxException` - where the specified string value is not a valid URI

### Method Detail

#### getUri

    public URI getUri()

Returns:
  the uri

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Property`
Returns:
  a string representaion of the property propertyName

#### validate

    public void validate()
                  throws net.fortuna.ical4j.model.ValidationException

Specified by:
  `validate` in class `Property`
Throws:
  `net.fortuna.ical4j.model.ValidationException` - where the property fails validation rules